#
# Conditional build:
%bcond_without	vim		# make vim syntax package

# build noarch packages only for 7.0 version
%if 0%{?_pld_builder:1} && "%{?php_suffix}" != "70"
%undefine	with_vim
%endif

%define		php_name	php%{?php_suffix}
%define		modname	xdebug
Summary:	%{modname} - provides functions for functions traces and profiling
Summary(pl.UTF-8):	%{modname} - funkcje do śledzenia i profilowania funkcji
Name:		%{php_name}-pecl-%{modname}
Version:	2.9.8
Release:	1
# The Xdebug License, version 1.01
# (Based on "The PHP License", version 3.0)
License:	PHP
Group:		Development/Languages/PHP
Source0:	https://xdebug.org/files/xdebug-%{version}.tgz
# Source0-md5:	a2b5199f11457099d5c81d02ababb87e
Source1:	%{modname}.ini
Source2:	vim-xt-filetype.vim
URL:		https://xdebug.org/
BuildRequires:	%{php_name}-devel >= 4:7.1.0
BuildRequires:	libedit-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_zend_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-xdebug < 2.2.4-1
Conflicts:	ZendOptimizer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir		%{_datadir}/vim

%description
The Xdebug extension helps you debugging your script by providing a
lot of valuable debug information. The debug information that Xdebug
can provide includes the following:

- stack and function traces in error messages with:
 - full parameter display for user defined functions
 - function name, file name and line indications
 - support for member functions
- memory allocation
- protection for infinite recursions

Xdebug also provides:

- profiling information for PHP scripts
- code coverage analysis
- capabilities to debug your scripts interactively with a debug client

%description -l pl.UTF-8
Rozszerzenie Xdebug pomaga przy odpluskwianiu skryptu dostarczając
dużo wartościowych informacji. Informacje przydatne do śledzenia,
które może zapewnić Xdebug, obejmują:

- śledzenie stosu i funkcji w komunikatach błędów wraz z:
 - pełnym wyświetlaniem parametrów dla funkcji zdefiniowanych przez
   użytkownika
 - nazwami funkcji, nazwami plików i numerami linii
 - obsługą metod klas
- przydzielanie pamięci
- zabezpieczenie przed nieskończoną rekurencją

Xdebug dostarcza także:

- informacje do profilowania skryptów PHP
- analizę wywołań skryptu
- możliwość śledzenia skryptów interaktywnie przy pomocy klienta
  odpluskwiacza

%package -n vim-syntax-xdebug
Summary:	Vim syntax: Xdebug trace files
Group:		Applications/Editors/Vim
Requires:	vim-rt >= 4:7.2.170
BuildArch:	noarch

%description -n vim-syntax-xdebug
This plugin provides syntax highlighting Xdebug trace files (context
or unified).

%prep
%setup -qc
mv %{modname}-%{version}*/* .

%{__sed} -e 's#^;zend_extension.*#zend_extension=%{php_extensiondir}/%{modname}.so#' %{SOURCE1} > %{modname}.ini

install -d vim/{syntax,ftdetect}
mv contrib/xt.vim vim/syntax
cp -p %{SOURCE2} vim/ftdetect/xt.vim

%build
phpize
%configure
%{__make}
cd debugclient
%configure \
	--with-libedit
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p debugclient/debugclient $RPM_BUILD_ROOT%{_bindir}/%{modname}%{?php_suffix}-debugclient
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cp -a %{modname}.ini $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%if %{with vim}
# vim syntax
install -d $RPM_BUILD_ROOT%{_vimdatadir}
cp -a vim/* $RPM_BUILD_ROOT%{_vimdatadir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README.rst CREDITS contrib
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%attr(755,root,root) %{_bindir}/xdebug*-debugclient

%if %{with vim}
%files -n vim-syntax-xdebug
%defattr(644,root,root,755)
%{_vimdatadir}/ftdetect/xt.vim
%{_vimdatadir}/syntax/xt.vim
%endif
%changelog
* Wed Nov 25 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-xdebug.git;a=log;h=auto/th/php-pecl-xdebug-2.9.8-1

* Sat Oct 24 2020 Elan Ruusamäe <glen@pld-linux.org> bb0fab8
- Up to 2.9.8

* Sun Sep 20 2020 Elan Ruusamäe <glen@pld-linux.org> 60d94e0
- Requires PHP 7.1

* Sun Sep 20 2020 Elan Ruusamäe <glen@pld-linux.org> 763c319
- Up to 2.9.7

* Thu Jun 04 2020 Elan Ruusamäe <glen@pld-linux.org> cdf1b84
- Up to 2.9.6

* Sun Mar 29 2020 Elan Ruusamäe <glen@pld-linux.org> fc45e60
- Vim syntax does not require ext-xdebug

* Sun Mar 29 2020 Elan Ruusamäe <glen@pld-linux.org> ad7fe8d
- Update to 2.9.4

* Mon Jan 20 2020 Elan Ruusamäe <glen@pld-linux.org> adba2a5
- Xdebug 2.9.1 (2020-01-16)

* Mon Jan 20 2020 Elan Ruusamäe <glen@pld-linux.org> fe6768a
- Xdebug 2.9.0 (2019-12-09)

* Mon Jan 20 2020 Elan Ruusamäe <glen@pld-linux.org> a6aa835
- Xdebug 2.8.1 (2019-12-02)

* Mon Jan 20 2020 Elan Ruusamäe <glen@pld-linux.org> 9106015
- Xdebug 2.8.0 (2019-10-31)

* Sat Oct 26 2019 Elan Ruusamäe <glen@pld-linux.org> dfb674a
- up to 2.8.0beta1 (2019-07-25)

* Tue Aug 06 2019 Elan Ruusamäe <glen@pld-linux.org> 4f7e6f4
- update to 2.8.0beta1 for php 7.4 support

* Mon Apr 08 2019 Adam Gołębiowski <adamg@pld-linux.org> bf2f1d0
- updated to 2.7.1

* Mon Sep 24 2018 Elan Ruusamäe <glen@pld-linux.org> 3171ad8
- up to xdebug-2.7.0beta1 with PHP 7.3 support

* Mon Sep 24 2018 Elan Ruusamäe <glen@pld-linux.org> 3ea1035
- up to 2.6.1 [2018-08-01]

* Tue Dec 05 2017 Elan Ruusamäe <glen@pld-linux.org> 16fe691
- up to 2.6.0alpha with PHP 7.2 support

* Fri Oct 27 2017 Elan Ruusamäe <glen@pld-linux.org> 1230eaf
- up to 2.5.5; Need a PHP version >= 5.5.0 and < 7.2.0

* Thu Oct 13 2016 Elan Ruusamäe <glen@delfi.ee> aef143f
- up to 2.4.1, php 7.1.0 supported

* Tue Jul 05 2016 Elan Ruusamäe <glen@delfi.ee> be2e4d1
- update xdebug.ini

* Tue Jul 05 2016 Elan Ruusamäe <glen@delfi.ee> 18fda28
- up to 2.4.0; php 7 support

